Package org.apache.wiki.spi

## Class EngineSPIDefaultImpl

- java.lang.Object
- - org.apache.wiki.spi.EngineSPIDefaultImpl

All Implemented Interfaces:
  `EngineSPI`

    public class EngineSPIDefaultImpl
    extends java.lang.Object
    implements EngineSPI

Default implementation for `EngineSPI`

See Also:
  `EngineSPI`

### Constructor Summary

Constructors
`EngineSPIDefaultImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Engine` `find​(javax.servlet.ServletContext context, java.util.Properties props)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EngineSPIDefaultImpl

    public EngineSPIDefaultImpl()

### Method Detail

#### find

    public Engine find​(javax.servlet.ServletContext context,
                       java.util.Properties props)

Specified by:
  `find` in interface `EngineSPI`